summaryrefslogtreecommitdiff
path: root/app-antivirus/clamtk
diff options
context:
space:
mode:
authorV3n3RiX <venerix@rogentos.ro>2016-10-15 20:52:58 +0100
committerV3n3RiX <venerix@rogentos.ro>2016-10-15 20:52:58 +0100
commit92a9c462ce35236904efefeac1b82187bbb24c73 (patch)
tree45abd5178ceab0469bf52b36a89c404f3e71e0ec /app-antivirus/clamtk
parent3d1032bcb77182567d792c674b003c871bbd0449 (diff)
import clamtk clamav UI from sabayon overlay
Diffstat (limited to 'app-antivirus/clamtk')
-rw-r--r--app-antivirus/clamtk/Manifest1
-rw-r--r--app-antivirus/clamtk/clamtk-5.20.ebuild62
2 files changed, 63 insertions, 0 deletions
diff --git a/app-antivirus/clamtk/Manifest b/app-antivirus/clamtk/Manifest
new file mode 100644
index 00000000..8cba36d4
--- /dev/null
+++ b/app-antivirus/clamtk/Manifest
@@ -0,0 +1 @@
+DIST clamtk-5.20.tar.gz 897173 SHA256 e63c36b1e33fd1231452f243734e019e6ab8c47bfe6894e04c05e26a71b30d76 SHA512 fb6a09c16c622f3161bcc9384f4cc9fa7bdf0609c44e19afcbec980d5636670a7e1adb232bac980100d9ed50e2b668aa71633a035a6faa5b113157d09c4f11bb WHIRLPOOL 53ed4977550de52a685acac1c860299ceaba4eb121be4d62f5f4d713ee47062db7d95c4b27e1154610bdf12f9e4e64aff5e4b0dc9c81f38fb75c871aa4ea9d64
diff --git a/app-antivirus/clamtk/clamtk-5.20.ebuild b/app-antivirus/clamtk/clamtk-5.20.ebuild
new file mode 100644
index 00000000..b513c0c9
--- /dev/null
+++ b/app-antivirus/clamtk/clamtk-5.20.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils perl-module
+
+DESCRIPTION="A frontend for ClamAV using Gtk2-perl"
+HOMEPAGE="https://bitbucket.org/dave_theunsub/clamtk/"
+SRC_URI="https://bitbucket.org/dave_theunsub/clamtk/downloads/${P}.tar.gz"
+
+LICENSE="|| ( Artistic GPL-1+ )"
+SLOT="0"
+KEYWORDS="amd64 x86"
+
+LANGS="af ar ast az bg bs ca cs da de el_GR en_AU en_CA en_GB es eu fi fo fr ga gl he hr hu id it ja km ko lo lt lv mr ms nb nl_BE nl nn pa pl pt_BR pt ro ru sk sl sr@latin sv ta te th tr ug uk uz zh_CN zh_TW"
+IUSE=""
+for i in ${LANGS}; do
+ IUSE="${IUSE} linguas_${i}"
+done
+
+DEPEND=""
+RDEPEND="
+ >=app-antivirus/clamav-0.95
+ dev-perl/JSON
+ dev-perl/LWP-Protocol-https
+ dev-perl/Locale-gettext
+ dev-perl/Text-CSV
+ dev-perl/glib-perl
+ dev-perl/gtk2-perl
+ dev-perl/libwww-perl
+ virtual/perl-Digest-SHA
+ virtual/perl-MIME-Base64
+ virtual/perl-Time-Piece
+"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}" || die "cd failed"
+ gunzip ${PN}.1.gz || die "gunzip failed"
+}
+
+src_install() {
+ dobin ${PN}
+
+ doicon images/* || die "doicon failed"
+ domenu ${PN}.desktop || die "domenu failed"
+
+ dodoc CHANGES README DISCLAIMER
+ doman ${PN}.1
+
+ # The custom Perl modules
+ perl_set_version
+ insinto "${VENDOR_LIB}/ClamTk"
+ doins lib/*.pm
+
+ local l
+ for l in ${LANGS}; do
+ use "linguas_${l}" && domo "po/${l}.mo"
+ done
+}